dbXML API

## org.dbxml.core.indexer
Class IndexQuery

    java.lang.Object
      |
      +--org.dbxml.core.indexer.IndexQuery

Direct Known Subclasses:
  IndexQueryANY, IndexQueryBW, IndexQueryBWX, IndexQueryEQ, IndexQueryGEQ, IndexQueryGT, IndexQueryIN, IndexQueryLEQ, IndexQueryLT, IndexQueryNBW, IndexQueryNBWX, IndexQueryNEQ, IndexQueryNIN, IndexQueryNSW, IndexQuerySW

public class IndexQuery
extends java.lang.Object

IndexQuery represents the most primitive form of index querying. Instances of this object should be created by QueryResolvers and cached in Query instances.

Field Summary
`static int` `ANY`
`static int` `BW`
`static int` `BWX`
`static int` `EQ`
`static int` `GEQ`
`static int` `GT`
`static int` `IN`
`static int` `LEQ`
`static int` `LT`
`static int` `NBW`
`static int` `NBWX`
`static int` `NEQ`
`static int` `NIN`
`static int` `NSW`
`static int` `SW`

Constructor Summary
`IndexQuery(IndexPattern pattern)`
`IndexQuery(IndexPattern pattern, int op, java.lang.String val1)`
`IndexQuery(IndexPattern pattern, int op, java.lang.String val1, java.lang.String val2)`
`IndexQuery(IndexPattern pattern, int op, Value val1)`
`IndexQuery(IndexPattern pattern, int op, Value[] vals)`
`IndexQuery(IndexPattern pattern, int op, Value val1, Value val2)`
`IndexQuery(IndexPattern pattern, java.lang.String val1)`
`IndexQuery(IndexPattern pattern, java.lang.String val1, java.lang.String val2)`
`IndexQuery(IndexPattern pattern, Value val1)`
`IndexQuery(IndexPattern pattern, Value[] vals)`
`IndexQuery(IndexPattern pattern, Value val1, Value val2)`

Method Summary
`int` `getLength()` getLength returns the length of the Value set associated with this query.
`int` `getOperator()` getOperator returns the operator associated with this query.
`IndexPattern` `getPattern()` getPattern returns the IndexPattern associated with this query.
`Value` `getValue(int index)` getValue returns one of the Values associated with this query.
`Value[]` `getValues()` getValues returns the Values associated with this query.
`boolean` `testValue(java.lang.String value)` testValue tests the specified value for validity against this IndexQuery.
`boolean` `testValue(Value value)` testValue tests the specified value for validity against this IndexQuery.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY

    public static final int ANY

### EQ

    public static final int EQ

### NEQ

    public static final int NEQ

### GT

    public static final int GT

### LEQ

    public static final int LEQ

### LT

    public static final int LT

### GEQ

    public static final int GEQ

### BW

    public static final int BW

### NBW

    public static final int NBW

### BWX

    public static final int BWX

### NBWX

    public static final int NBWX

### IN

    public static final int IN

### NIN

    public static final int NIN

### SW

    public static final int SW

### NSW

    public static final int NSW

Constructor Detail

### IndexQuery

    public IndexQuery(IndexPattern pattern)

### IndexQuery

    public IndexQuery(IndexPattern pattern,
                      int op,
                      Value[] vals)

### IndexQuery

    public IndexQuery(IndexPattern pattern,
                      Value[] vals)

### IndexQuery

    public IndexQuery(IndexPattern pattern,
                      int op,
                      Value val1)

### IndexQuery

    public IndexQuery(IndexPattern pattern,
                      Value val1)

### IndexQuery

    public IndexQuery(IndexPattern pattern,
                      int op,
                      Value val1,
                      Value val2)

### IndexQuery

    public IndexQuery(IndexPattern pattern,
                      Value val1,
                      Value val2)

### IndexQuery

    public IndexQuery(IndexPattern pattern,
                      int op,
                      java.lang.String val1)

### IndexQuery

    public IndexQuery(IndexPattern pattern,
                      java.lang.String val1)

### IndexQuery

    public IndexQuery(IndexPattern pattern,
                      int op,
                      java.lang.String val1,
                      java.lang.String val2)

### IndexQuery

    public IndexQuery(IndexPattern pattern,
                      java.lang.String val1,
                      java.lang.String val2)

Method Detail

### getPattern

    public IndexPattern getPattern()

  getPattern returns the IndexPattern associated with this query.
  Returns:
    the IndexPattern

### getOperator

    public int getOperator()

  getOperator returns the operator associated with this query.
  Returns:
    The operator

### getValue

    public final Value getValue(int index)

  getValue returns one of the Values associated with this query.
  Parameters:
    `index` - The Value index
  Returns:
    The request Value

### getValues

    public Value[] getValues()

  getValues returns the Values associated with this query.
  Returns:
    The Value set

### getLength

    public final int getLength()

  getLength returns the length of the Value set associated with this query.
  Returns:
    The Value set length

### testValue

    public boolean testValue(Value value)

  testValue tests the specified value for validity against this IndexQuery. The helper classes in org.dbxml.core.indexer.helpers should be used for optimized performance.
  Parameters:
    `value` - The Value to compare
  Returns:
    Whether or not the value matches

### testValue

    public final boolean testValue(java.lang.String value)

  testValue tests the specified value for validity against this IndexQuery. The helper classes in org.dbxml.core.indexer.helpers should be used for optimized performance.
  Parameters:
    `value` - The Value to compare
  Returns:
    Whether or not the value matches

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved